<?php

declare(strict_types=1);

namespace App\Controller\TblCurso;

use App\Service\TblCursoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblCursoService(): TblCursoService
    {
        return $this->container->get('TblCurso_service');
    }
}
